# Uses of Class
org.bukkit.inventory.InventoryView

Packages that use InventoryView
Package
Description
com.destroystokyo.paper.event.block
com.destroystokyo.paper.event.inventory
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.enchantment
`Events` triggered from an `enchantment table`.
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.

## Uses of InventoryView in com.destroystokyo.paper.event.block

Constructors in com.destroystokyo.paper.event.block with parameters of type InventoryView
Modifier
Constructor
Description
``
`AnvilDamagedEvent(@NotNull InventoryView inventory, @NotNull BlockData blockData)`

## Uses of InventoryView in com.destroystokyo.paper.event.inventory

Constructors in com.destroystokyo.paper.event.inventory with parameters of type InventoryView
Modifier
Constructor
Description
``
`PrepareGrindstoneEvent(@NotNull InventoryView inventory, @Nullable ItemStack result)`
Deprecated.
``
`PrepareResultEvent(@NotNull InventoryView inventory, @Nullable ItemStack result)`

## Uses of InventoryView in org.bukkit.entity

Methods in org.bukkit.entity that return InventoryView
Modifier and Type
Method
Description
`@NotNull InventoryView`
HumanEntity.`getOpenInventory()`
Gets the inventory view the player is currently viewing.
`@Nullable InventoryView`
HumanEntity.`openAnvil(@Nullable Location location, boolean force)`
Opens an empty anvil inventory window with the player's inventory on the bottom.
`@Nullable InventoryView`
HumanEntity.`openCartographyTable(@Nullable Location location, boolean force)`
Opens an empty cartography table inventory window with the player's inventory on the bottom.
`@Nullable InventoryView`
HumanEntity.`openEnchanting(@Nullable Location location, boolean force)`
Opens an empty enchanting inventory window with the player's inventory on the bottom.
`@Nullable InventoryView`
HumanEntity.`openGrindstone(@Nullable Location location, boolean force)`
Opens an empty grindstone inventory window with the player's inventory on the bottom.
`@Nullable InventoryView`
HumanEntity.`openInventory(@NotNull Inventory inventory)`
Opens an inventory window with the specified inventory on the top and the player's inventory on the bottom.
`@Nullable InventoryView`
HumanEntity.`openLoom(@Nullable Location location, boolean force)`
Opens an empty loom inventory window with the player's inventory on the bottom.
`@Nullable InventoryView`
HumanEntity.`openMerchant(@NotNull Villager trader, boolean force)`
Starts a trade between the player and the villager.
`@Nullable InventoryView`
HumanEntity.`openMerchant(@NotNull Merchant merchant, boolean force)`
Starts a trade between the player and the merchant.
`@Nullable InventoryView`
HumanEntity.`openSmithingTable(@Nullable Location location, boolean force)`
Opens an empty smithing table inventory window with the player's inventory on the bottom.
`@Nullable InventoryView`
HumanEntity.`openStonecutter(@Nullable Location location, boolean force)`
Opens an empty stonecutter inventory window with the player's inventory on the bottom.
`@Nullable InventoryView`
HumanEntity.`openWorkbench(@Nullable Location location, boolean force)`
Opens an empty workbench inventory window with the player's inventory on the bottom.
Methods in org.bukkit.entity with parameters of type InventoryView
Modifier and Type
Method
Description
`void`
HumanEntity.`openInventory(@NotNull InventoryView inventory)`
Opens an inventory window to the specified inventory view.

## Uses of InventoryView in org.bukkit.event.enchantment

Constructors in org.bukkit.event.enchantment with parameters of type InventoryView
Modifier
Constructor
Description
``
`EnchantItemEvent(@NotNull Player enchanter, @NotNull InventoryView view, @NotNull Block table, @NotNull ItemStack item, int level, @NotNull Map<Enchantment,Integer> enchants, int i)`
``
`PrepareItemEnchantEvent(@NotNull Player enchanter, @NotNull InventoryView view, @NotNull Block table, @NotNull ItemStack item, @Nullable EnchantmentOffer @NotNull [] offers, int bonus)`

## Uses of InventoryView in org.bukkit.event.inventory

Fields in org.bukkit.event.inventory declared as InventoryView
Modifier and Type
Field
Description
`protected InventoryView`
InventoryEvent.`transaction`
Methods in org.bukkit.event.inventory that return InventoryView
Modifier and Type
Method
Description
`@NotNull InventoryView`
InventoryEvent.`getView()`
Gets the view object itself
Constructors in org.bukkit.event.inventory with parameters of type InventoryView
Modifier
Constructor
Description
``
`CraftItemEvent(@NotNull Recipe recipe, @NotNull InventoryView what, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action)`
``
`CraftItemEvent(@NotNull Recipe recipe, @NotNull InventoryView what, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action, int key)`
``
`InventoryClickEvent(@NotNull InventoryView view, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action)`
``
`InventoryClickEvent(@NotNull InventoryView view, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action, int key)`
``
`InventoryCloseEvent(@NotNull InventoryView transaction)`
``
`InventoryCloseEvent(@NotNull InventoryView transaction, @NotNull InventoryCloseEvent.Reason reason)`
``
`InventoryCreativeEvent(@NotNull InventoryView what, @NotNull InventoryType.SlotType type, int slot, @NotNull ItemStack newItem)`
``
`InventoryDragEvent(@NotNull InventoryView what, @Nullable ItemStack newCursor, @NotNull ItemStack oldCursor, boolean right, @NotNull Map<Integer,ItemStack> slots)`
``
`InventoryEvent(@NotNull InventoryView transaction)`
``
`InventoryInteractEvent(@NotNull InventoryView transaction)`
``
`InventoryOpenEvent(@NotNull InventoryView transaction)`
``
`PrepareAnvilEvent(@NotNull InventoryView inventory, @Nullable ItemStack result)`
``
`PrepareItemCraftEvent(@NotNull CraftingInventory what, @NotNull InventoryView view, boolean isRepair)`
``
`PrepareSmithingEvent(@NotNull InventoryView inventory, @Nullable ItemStack result)`
``
`SmithItemEvent(@NotNull InventoryView view, InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action)`
``
`SmithItemEvent(@NotNull InventoryView view, InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action, int key)`
``
`TradeSelectEvent(@NotNull InventoryView transaction, int newIndex)`